Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class ServiceActivityTrackerImpl.MutableServiceActivity

    java.lang.Object
      org.apache.tapestry5.ioc.internal.ServiceActivityTrackerImpl.MutableServiceActivity

All Implemented Interfaces:
  ServiceActivity

Enclosing class:
  ServiceActivityTrackerImpl

    public static class ServiceActivityTrackerImpl.MutableServiceActivity

extends java.lang.Object
implements ServiceActivity

Constructor Summary
`ServiceActivityTrackerImpl.MutableServiceActivity(ServiceDef serviceDef, PerthreadManager perthreadManager, Status status)`

Method Summary
`java.util.Set<java.lang.Class>` | `getMarkers()` The markers on this service
`java.lang.String` | `getScope()` The scope of the service (typically "singleton" or "perthread").
`java.lang.String` | `getServiceId()` The unique id for the service.
`java.lang.Class` | `getServiceInterface()` The interface implemented by the service (this may occasionally be a class, for non-proxied services).
`Status` | `getStatus()` Indicates the lifecycle status of the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceActivityTrackerImpl.MutableServiceActivity

    public ServiceActivityTrackerImpl.MutableServiceActivity(ServiceDef serviceDef,
                                                             PerthreadManager perthreadManager,
                                                             Status status)

Method Detail

### getServiceId

    public java.lang.String getServiceId()

  Description copied from interface: `ServiceActivity`
  The unique id for the service.

  Specified by:
    `getServiceId` in interface `ServiceActivity`

### getServiceInterface

    public java.lang.Class getServiceInterface()

  Description copied from interface: `ServiceActivity`
  The interface implemented by the service (this may occasionally be a class, for non-proxied services).

  Specified by:
    `getServiceInterface` in interface `ServiceActivity`

### getScope

    public java.lang.String getScope()

  Description copied from interface: `ServiceActivity`
  The scope of the service (typically "singleton" or "perthread").

  Specified by:
    `getScope` in interface `ServiceActivity`

### getMarkers

    public java.util.Set<java.lang.Class> getMarkers()

  Description copied from interface: `ServiceActivity`
  The markers on this service

  Specified by:
    `getMarkers` in interface `ServiceActivity`

### getStatus

    public Status getStatus()

  Description copied from interface: `ServiceActivity`
  Indicates the lifecycle status of the service.

  Specified by:
    `getStatus` in interface `ServiceActivity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.